MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029393Community[OCCT] OCCT:Samplespublic2017-12-19 08:192018-01-11 11:10
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.3.0*Fixed in Version 
Summary0029393: Samples - AndroidQt sample build fail
DescriptionAndroidQt sample is out of updated, when building with Qt Creator, the error message as below:

..\AndroidQt\AndroidQt.cxx: In member function 'void AndroidQt::sync()':
..\AndroidQt\AndroidQt.cxx:173:85: error: no matching function for call to 'V3d_View::SetWindow(opencascade::handle<AndroidQt_Window>&, Aspect_RenderingContext, NULL, NULL)'
       myView->SetWindow (aWindow, (Aspect_RenderingContext )anEglContext, NULL, NULL);
                                                                                     ^
..\AndroidQt\AndroidQt.cxx:173:85: note: candidate is:
In file included from ..\AndroidQt/AndroidQt.h:28:0,
                 from ..\AndroidQt\AndroidQt.cxx:15:
..\..\..\Install\include\opencascade/V3d_View.hxx:125:24: note: void V3d_View::SetWindow(const opencascade::handle<Aspect_Window>&, Aspect_RenderingContext)
   Standard_EXPORT void SetWindow (const Handle(Aspect_Window)& theWindow,
                        ^
..\..\..\Install\include\opencascade/V3d_View.hxx:125:24: note: candidate expects 2 arguments, 4 provided
..\AndroidQt\AndroidQt.cxx: In member function 'bool AndroidQt::initViewer()':
..\AndroidQt\AndroidQt.cxx:250:83: error: no matching function for call to 'V3d_View::SetWindow(opencascade::handle<AndroidQt_Window>&, Aspect_RenderingContext, NULL, NULL)'
     myView->SetWindow (aWindow, (Aspect_RenderingContext )anEglContext, NULL, NULL);
                                                                                   ^
..\AndroidQt\AndroidQt.cxx:250:83: note: candidate is:
In file included from ..\AndroidQt/AndroidQt.h:28:0,
                 from ..\AndroidQt\AndroidQt.cxx:15:
..\..\..\Install\include\opencascade/V3d_View.hxx:125:24: note: void V3d_View::SetWindow(const opencascade::handle<Aspect_Window>&, Aspect_RenderingContext)
   Standard_EXPORT void SetWindow (const Handle(Aspect_Window)& theWindow,
                        ^
..\..\..\Install\include\opencascade/V3d_View.hxx:125:24: note: candidate expects 2 arguments, 4 provided
..\AndroidQt\AndroidQt.cxx:273:75: error: invalid new-expression of abstract class type 'AndroidQt_Window'
   Handle(AndroidQt_Window) aWindow = new AndroidQt_Window (aWidth, aHeight);
                                                                           ^
In file included from ..\AndroidQt\AndroidQt.cxx:14:0:
..\AndroidQt/AndroidQt_Window.h:21:7: note: because the following virtual functions are pure within 'AndroidQt_Window':
 class AndroidQt_Window : public Aspect_Window
       ^
In file included from ..\AndroidQt/AndroidQt_Window.h:17:0,
                 from ..\AndroidQt\AndroidQt.cxx:14:
..\..\..\Install\include\opencascade/Aspect_Window.hxx:108:43: note: virtual void* Aspect_Window::NativeFBConfig() const
   Standard_EXPORT virtual Aspect_FBConfig NativeFBConfig() const = 0;


TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0027031closedbugmaster Open CASCADE Samples - fix compilation issues in java/jniviewer sample 
child of 0024776closedkgv Open CASCADE Visualization - inherit OpenGl_View from Graphic3d_CView 

-  Notes
(0073033)
git (administrator)
2017-12-19 14:00

Branch CR29393 has been created by kgv.

SHA-1: f57fa6c5a9d7cdce3442ff420f6bdd042f030e81


Detailed log of new commits:

Author: kgv
Date: Tue Dec 19 14:00:10 2017 +0300

    0029393: Samples - AndroidQt sample build fail
    
    AndroidQt - dropped removed arguments within V3d_View::SetWindow() usage [0024776].
    AndroidQt_Window - add missing NativeFBConfig() method declared in the interface [0026732].
(0073034)
kgv (developer)
2017-12-19 14:12

Please take the patch.
(0073331)
git (administrator)
2018-01-11 11:10

Branch CR29393 has been deleted by kgv.

SHA-1: f57fa6c5a9d7cdce3442ff420f6bdd042f030e81

- Related Changesets
occt: master 81a2800c
Timestamp: 2017-12-19 11:00:10
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029393: Samples - AndroidQt sample build fail

AndroidQt - dropped removed arguments within V3d_View::SetWindow() usage [0024776].
AndroidQt_Window - add missing NativeFBConfig() method declared in the interface [0026732].
mod - samples/qt/AndroidQt/AndroidQt.cxx Diff ] File ]
mod - samples/qt/AndroidQt/AndroidQt_Window.h Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-12-19 08:19 Vico Liang New Issue
2017-12-19 08:19 Vico Liang Assigned To => bugmaster
2017-12-19 11:59 bugmaster Assigned To bugmaster => kgv
2017-12-19 11:59 bugmaster Status new => assigned
2017-12-19 13:03 kgv Relationship added child of 0024776
2017-12-19 13:03 kgv Product Version => 7.0.0
2017-12-19 13:56 kgv Summary AndroidQt sample build fail => Samples - AndroidQt sample build fail
2017-12-19 14:00 git Note Added: 0073033
2017-12-19 14:12 kgv Relationship added related to 0027031
2017-12-19 14:12 kgv Note Added: 0073034
2017-12-19 14:12 kgv Assigned To kgv => bugmaster
2017-12-19 14:12 kgv Status assigned => resolved
2017-12-19 14:12 kgv Severity major => trivial
2017-12-19 14:12 kgv Status resolved => reviewed
2017-12-19 15:29 bugmaster Status reviewed => tested
2017-12-23 12:07 bugmaster Changeset attached => occt master 81a2800c
2017-12-23 12:07 bugmaster Status tested => verified
2017-12-23 12:07 bugmaster Resolution open => fixed
2018-01-10 15:43 bugmaster Test case number => Not required
2018-01-11 11:10 git Note Added: 0073331


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker